Name:       fsearch
Version:    0.1.1
Release:    1%{?dist}
Summary:    A fast file search utility for Unix-like systems
License:    GPL-3
URL:        https://github.com/cboxdoerfer/fsearch
Source:     https://github.com/cboxdoerfer/fsearch/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:     fsearch-%{version}_fix_c++_err.patch

BuildRequires: automake
BuildRequires: autoconf
BuildRequires: gcc-c++
BuildRequires: gettext-devel
BuildRequires: glibc-devel
BuildRequires: pcre-devel

BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gtk+-3.0)

%description
A fast file search utility for Unix-like systems based on GTK+3

%prep
%autosetup -p1 -n %{name}-%{version}
autoreconf --force --install -Wno-portability

%build
%configure
%make_build

%install
%make_install
%find_lang %{name}

%files
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/locale/*/LC_MESSAGES/*
%{_datadir}/man/man1/fsearch.1.gz
%{_datadir}/icons/hicolor/scalable/apps/*

%changelog
* Fri Jan 28 2022 Yury Martynov <email@linxon.ru> 0.1.1-1
- Bump to 0.1.1
* Wed Oct 27 2021 Yury Martynov <email@linxon.ru> 0.1_20211027.9d65288-1
- Bump to 0.1_20211027.9d65288
* Thu Sep 30 2021 Yury Martynov <email@linxon.ru> 0.1-1
- Bump to first release.
* Mon Sep 27 2021 Yury Martynov <email@linxon.ru> 0.1beta4_20210927.60a632e-1
- Bump to 0.1beta4_20210927.60a632e
* Mon Sep 13 2021 Yury Martynov <email@linxon.ru> 0.1beta4_20210913.310f17d-1
- Bump to 0.1beta4_20210913.310f17d
* Fri Jun 11 2021 Yury Martynov <email@linxon.ru> 0.1beta4_20210611.30445b4-1
- Bump to 0.1beta4_20210611.30445b4
* Sat Mar 27 2021 Yury Martynov <email@linxon.ru> 0.1beta4_20210327.a61b6ab-1
- Bump to 0.1beta4_20210327.a61b6ab
* Sat Mar 27 2021 Yury Martynov <email@linxon.ru> 0.1beta4_20210326.a193f38-1
- Bump to 0.1beta4_20210326.a193f38
* Sat Mar 20 2021 Yury Martynov <email@linxon.ru> 0.1beta4_20210320.d8e775c-1
- Bump to 0.1beta4_20210320.d8e775c
* Sat Mar 13 2021 Yury Martynov <email@linxon.ru> 0.1beta4_20210312.66a667d-1
- Bump to 0.1beta4_20210312.66a667d
* Fri Nov 20 2020 Yury Martynov <email@linxon.ru> 0.1beta4_20201117.906a144-1
- Bump to 0.1beta4_20201117.906a144
* Mon Nov 02 2020 Yury Martynov <email@linxon.ru> 0.1beta4_20201101.3db6c43-1
- Bump to 0.1beta4_20201101.3db6c43
* Mon Oct 26 2020 Yury Martynov <email@linxon.ru> 0.1beta4_20201026.9a59d83-1
- Bump to 0.1beta4_20201006.be0b3bc
* Sat Oct 17 2020 Yury Martynov <email@linxon.ru> 0.1beta4_20201006.be0b3bc-1
- Initial packaging.
